## org.eclipse.jst.pagedesigner.dtmanager.converter.operations
Class TransformOperationFactory

    java.lang.Object
      org.eclipse.jst.pagedesigner.dtmanager.converter.operations.TransformOperationFactory

    public final class TransformOperationFactory

extends java.lang.Object

Factory responsible for producing `ITransformOperation` instances from the
`org.eclipse.jst.pagedesigner.pageDesignerExtension.tagTransformOperation` extensions

Provisional API - subject to change

Field Summary
`static java.lang.String` `OP_AppendChildElementOperation` AppendChildElementOperation
`static java.lang.String` `OP_AppendChildTextFromXPathOperation` AppendChildTextFromXPathOperation
`static java.lang.String` `OP_AppendChildTextOperation` AppendChildTextOperation
`static java.lang.String` `OP_ConvertAttributeToTextOperation` ConvertAttributeToTextOperation
`static java.lang.String` `OP_CopyAllAttributesOperation` CopyAllAttributesOperation
`static java.lang.String` `OP_CopyAttributeOperation` CopyAttributeOperation
`static java.lang.String` `OP_CopyAttributeWithRenameOperation` CopyAttributeWithRenameOperation
`static java.lang.String` `OP_CopyChildrenOperation` CopyChildrenOperation
`static java.lang.String` `OP_CreateAttributeFromXPathOperation` CreateAttributeFromXPathOperation
`static java.lang.String` `OP_CreateAttributeOperation` CreateAttributeOperation
`static java.lang.String` `OP_CreateElementOperation` CreateElementOperation
`static java.lang.String` `OP_CustomTransformOperation` CustomTransformOperation
`static java.lang.String` `OP_IfNotOperation` IfNotOperation
`static java.lang.String` `OP_IfOperation` IfOperation
`static java.lang.String` `OP_IterateOverElementsOperation` IterateOverElementsOperation
`static java.lang.String` `OP_MakeParentElementCurrentOperation` MakeParentElementCurrentOperation
`static java.lang.String` `OP_RemoveAttributeOperation` RemoveAttributeOperation
`static java.lang.String` `OP_RenameAttributeOperation` RenameAttributeOperation

Method Summary
`static TransformOperationFactory` `getInstance()` Gets the singleton instance.
`ITransformOperation` `getTransformOperation(java.lang.String opID, java.lang.String[] params)` Gets an ITransformOperation instance for the specified operation ID and parameters.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OP_AppendChildElementOperation

    public static final java.lang.String OP_AppendChildElementOperation

  AppendChildElementOperation

### OP_AppendChildTextFromXPathOperation

    public static final java.lang.String OP_AppendChildTextFromXPathOperation

  AppendChildTextFromXPathOperation

### OP_AppendChildTextOperation

    public static final java.lang.String OP_AppendChildTextOperation

  AppendChildTextOperation

### OP_ConvertAttributeToTextOperation

    public static final java.lang.String OP_ConvertAttributeToTextOperation

  ConvertAttributeToTextOperation

### OP_CopyAllAttributesOperation

    public static final java.lang.String OP_CopyAllAttributesOperation

  CopyAllAttributesOperation

### OP_CopyAttributeOperation

    public static final java.lang.String OP_CopyAttributeOperation

  CopyAttributeOperation

### OP_CopyAttributeWithRenameOperation

    public static final java.lang.String OP_CopyAttributeWithRenameOperation

  CopyAttributeWithRenameOperation

### OP_CopyChildrenOperation

    public static final java.lang.String OP_CopyChildrenOperation

  CopyChildrenOperation

### OP_CreateAttributeFromXPathOperation

    public static final java.lang.String OP_CreateAttributeFromXPathOperation

  CreateAttributeFromXPathOperation

### OP_CreateAttributeOperation

    public static final java.lang.String OP_CreateAttributeOperation

  CreateAttributeOperation

### OP_CreateElementOperation

    public static final java.lang.String OP_CreateElementOperation

  CreateElementOperation

### OP_CustomTransformOperation

    public static final java.lang.String OP_CustomTransformOperation

  CustomTransformOperation

### OP_IfNotOperation

    public static final java.lang.String OP_IfNotOperation

  IfNotOperation

### OP_IfOperation

    public static final java.lang.String OP_IfOperation

  IfOperation

### OP_IterateOverElementsOperation

    public static final java.lang.String OP_IterateOverElementsOperation

  IterateOverElementsOperation

### OP_MakeParentElementCurrentOperation

    public static final java.lang.String OP_MakeParentElementCurrentOperation

  MakeParentElementCurrentOperation

### OP_RemoveAttributeOperation

    public static final java.lang.String OP_RemoveAttributeOperation

  RemoveAttributeOperation

### OP_RenameAttributeOperation

    public static final java.lang.String OP_RenameAttributeOperation

  RenameAttributeOperation

Method Detail

### getInstance

    public static TransformOperationFactory getInstance()

  Gets the singleton instance.

  Returns:
    The singleton instance.

### getTransformOperation

    public ITransformOperation getTransformOperation(java.lang.String opID,
                                                     java.lang.String[] params)

  Gets an ITransformOperation instance for the specified operation ID and parameters.

  Parameters:
    `opID` - - the plugin-qualified Operation extension ID.
    `params` - - array of String parameters
  Returns:
    ITransformOperation